mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum System.Runtime.InteropServices.ComVisible(true)

This enumeration works in conjunction with the attribute.

Identifies how to expose an interface to COM.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComInterfaceType To be added

  Indicates that the interface is exposed to COM as a dual interface, which enables both early and late binding. is the default value.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComInterfaceType To be added

  Indicates that an interface is exposed to COM as a dispinterface, which enables late binding only.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.Runtime.InteropServices.ComInterfaceType To be added

  Indicates that an interface is exposed to COM as an interface that is derived from IUnknown, which enables only early binding.